Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe
Class SourceLocation2TokenSequence

    java.lang.Object
      cc.mallet.pipe.Pipe
          cc.mallet.pipe.SourceLocation2TokenSequence

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class SourceLocation2TokenSequence

extends Pipe
implements java.io.Serializable

Read from File or BufferedRead in the data field and produce a TokenSequence.

Author:
  Andrew McCallum mccallum@cs.umass.edu
See Also:
  Serialized Form

Constructor Summary
`SourceLocation2TokenSequence(CharSequenceLexer lexer)`

Method Summary
`TokenSequence` | `pipe(java.io.BufferedReader br)`
`TokenSequence` | `pipe(java.io.File file)`
`Instance` | `pipe(Instance carrier)` Really this should be 'protected', but isn't for historical reasons.

Methods inherited from class cc.mallet.pipe.Pipe
`alphabetsMatch, getAlphabet, getAlphabets, getDataAlphabet, getInstanceId, getTargetAlphabet, instanceFrom, instancesFrom, instancesFrom, isDataAlphabetSet, isTargetProcessing, newIteratorFrom, preceedingPipeDataAlphabetNotification, preceedingPipeTargetAlphabetNotification, precondition, readResolve, setDataAlphabet, setOrCheckDataAlphabet, setOrCheckTargetAlphabet, setTargetAlphabet, setTargetProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceLocation2TokenSequence

    public SourceLocation2TokenSequence(CharSequenceLexer lexer)

Method Detail

### pipe

    public Instance pipe(Instance carrier)

  Description copied from class: `Pipe`
  Really this should be 'protected', but isn't for historical reasons.

  Overrides:
    `pipe` in class `Pipe`

### pipe

    public TokenSequence pipe(java.io.File file)
                       throws java.io.FileNotFoundException,
                              java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### pipe

    public TokenSequence pipe(java.io.BufferedReader br)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD